Audit
List audit fixes and their state
Fixes of the latest audit, newest first, of one page with page_id. An
unfiltered list is bounded to the 500 newest (truncated). A rewrite
carries article_id: read it with getArticle and push it live with
updatePublishedArticle.
GET
/
profiles
/
{profile_id}
/
audit
/
fixes
Error
A valid request URL is required to generate request examples{
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fix_type": "<string>",
"status": "pending",
"mode": "manual",
"units": 1,
"credits": 1,
"free_regeneration_available": true,
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restorable": true,
"snapshot_expires_at": "2023-11-07T05:31:56Z",
"recheck_pending": true,
"applied_at": "2023-11-07T05:31:56Z",
"restored_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>"
}
],
"truncated": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"audit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fix_type": "<string>",
"status": "pending",
"mode": "manual",
"units": 1,
"credits": 1,
"free_regeneration_available": true,
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restorable": true,
"snapshot_expires_at": "2023-11-07T05:31:56Z",
"recheck_pending": true,
"applied_at": "2023-11-07T05:31:56Z",
"restored_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>"
}
],
"truncated": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
